#!/bin/bash
##########################################################################################
#               .--.
#              |o_o |
#              |:_/ |
#             //   \ \
#            (|     | )
#            /'\_   _/`\
#            \___)=(___/
#
#    (c) Patrick Asmus
#        support@media-techport.de
#        https://www.media-techport.de
##########################################################################################
# Letzte Anpassung: 19.03.2023
# Version 0.0.2
##########################################################################################
# log-delete.sh
##########################################################################################
# Set variables
LOG_DIR="/var/log"
DAYS_TO_KEEP=60

# Delete old log files
find "$LOG_DIR" -type f -mtime +"$DAYS_TO_KEEP" -delete

# Delete empty log directories
find "$LOG_DIR" -type d -empty -delete
exit